Page MenuHomePhabricator

[mobile] Special:Notification page has horizontal scrolling
Closed, ResolvedPublic

Description

The screenshots show that the screen can be "scrolled" to the right (from iPhone6 with iOS 9.3.2).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 11:33 PM
Catrope added a subscriber: Catrope.Aug 8 2016, 9:42 PM

Could this be a consequence of the overflow-x rule I put in as a hack to make ClippableElement happy?

Change 307642 had a related patch set uploaded (by Mooeypoo):
Adjust Special:Notifications width for small screens

https://gerrit.wikimedia.org/r/307642

Mooeypoo claimed this task.
Mooeypoo added a subscriber: Mooeypoo.

This has to do with the width specifications for mobile; the "small" width of the notifications list is set to be 320px, which works in most cases, except when the screen size actually is 320px. In that case, the width of the list should be smaller (covered in the attached commit)

Change 307642 merged by jenkins-bot:
Adjust Special:Notifications width for small screens

https://gerrit.wikimedia.org/r/307642

Checked in betalabs iPhone 6s iOS 9.3.2) - there is no more horizontal scrolling action.

jmatazzoni closed this task as Resolved.Oct 5 2016, 6:53 PM